/************************************************************************/
/*  t@C  :ctrl.c													*/
/*  H/W			:Pi:Co(SH7125)											*/
/*  쐬      :2012/04/15												*/
/*	쐬		:T.Kusumi												*/
/*	vWFNg:}CN}EXŊygiŏIXebvj			*/
/*	W[	:Rg[											*/
/************************************************************************/
#include	"common.h"
#include	"ctrl.h"
/************************************************/
/*	LEDS_					(ctrl_led_on)	*/
/************************************************/
/*	ׂĂLED_B						*/
/************************************************/
void ctrl_led_on(void)
{
	//LEDS_
	drv_led_r(LED_ON);				//E_
	drv_led_fr(LED_ON);				//OE_
	drv_led_fl(LED_ON);				//O_
	drv_led_l(LED_ON);				//
}

/************************************************/
/*	LEDS					(ctrl_led_off)	*/
/************************************************/
/*	ׂĂLEDB						*/
/************************************************/
void ctrl_led_off(void)
{
	//LEDS
	drv_led_r(LED_OFF);				//E
	drv_led_fr(LED_OFF);			//OE
	drv_led_fl(LED_OFF);			//O
	drv_led_l(LED_OFF);				//
}

/************************************************/
/*	ELED					(ctrl_led_r)	*/
/************************************************/
/*	ELED̓_/sB					*/
/*----------------------------------------------*/
/*	IN :int i_stat c LED_OFF(0):			*/
/*					  LED_ON (1):_			*/
/************************************************/
void ctrl_led_r(int i_stat)
{
	//LEDiEj
	drv_led_r(i_stat);
}

/************************************************/
/*	LED					(ctrl_led_l)	*/
/************************************************/
/*	LED̓_/sB					*/
/*----------------------------------------------*/
/*	IN :int i_stat c LED_OFF(0):			*/
/*					  LED_ON (1):_			*/
/************************************************/
void ctrl_led_l(int i_stat)
{
	//LEDij
	drv_led_l(i_stat);
}

/************************************************/
/*	OELED					(ctrl_led_fr)	*/
/************************************************/
/*	OELED̓_/sB					*/
/*----------------------------------------------*/
/*	IN :int i_stat c LED_OFF(0):			*/
/*					  LED_ON (1):_			*/
/************************************************/
void ctrl_led_fr(int i_stat)
{
	//LEDiOEj
	drv_led_fr(i_stat);
}

/************************************************/
/*	OLED					(ctrl_led_fl)	*/
/************************************************/
/*	OLED̓_/sB					*/
/*----------------------------------------------*/
/*	IN :int i_stat c LED_OFF(0):			*/
/*					  LED_ON (1):_			*/
/************************************************/
void ctrl_led_fl(int i_stat)
{
	//LEDiOj
	drv_led_fl(i_stat);
}

/************************************************/
/*	O2LED					(ctrl_led_f)*/
/************************************************/
/*	O2LED̓_/sB					*/
/*----------------------------------------------*/
/*	IN :int i_stat c LED_OFF(0):			*/
/*					  LED_ON (1):_			*/
/************************************************/
void ctrl_led_f(int i_stat)
{
	//O2LED_
	drv_led_fr(i_stat);
	drv_led_fl(i_stat);
}

/************************************************/
/*	LED2i\				(ctrl_led_num)	*/
/************************************************/
/*	LED2i\B						*/
/*----------------------------------------------*/
/*	IN :int i_number c LEDɕ\鐔l		*/
/************************************************/
void ctrl_led_num(int i_number)
{
	//LED2i\B
	drv_led_r(i_number & 0x0001);			//1BITcE
	drv_led_fr((i_number & 0x0002) >> 1);	//2BITcOE
	drv_led_fl((i_number & 0x0004) >> 2);	//3BITcO
	drv_led_l((i_number & 0x0008) >>3);		//4BITc
}

/************************************************/
/*	XCb`iꊇj		(ctrl_sw_all)	*/
/************************************************/
/*	ׂ̃XCb`̏Ԃ擾ĕԂB		*/
/*----------------------------------------------*/
/*	OUT:unsigned char *o_sw_b c XCb`		*/
/*					             ON:SW_ON(0)	*/
/*		unsigned char *o_sw_y c XCb`		*/
/*					             ON:SW_ON(0)	*/
/*		unsigned char *o_sw_r c ԃXCb`		*/
/*					             ON:SW_ON(0)	*/
/************************************************/
void ctrl_sw_all(unsigned char *o_sw_b,
				 unsigned char *o_sw_y,
				 unsigned char *o_sw_r)
{
	//XCb`iꊇj
	*o_sw_b	= drv_sw_b();			//XCb`
	*o_sw_y	= drv_sw_y();			//XCb`
	*o_sw_r	= drv_sw_r();			//ԃXCb`
	//ǂꂩ̃XCb`ONȂ΁AׂẴXCb`OFFɂȂ܂ő҂B
	if (*o_sw_b == SW_ON || *o_sw_y == SW_ON || *o_sw_r == SW_ON)
	{
		while(drv_sw_b() == SW_ON || drv_sw_y() == SW_ON || drv_sw_r() == SW_ON);
	}
}
