/************************************************************************/
/*  t@C  :app.c													*/
/*  H/W			:Pi:Co(SH7125)											*/
/*  쐬      :2012/06/19												*/
/*	쐬		:T.Kusumi												*/
/*	vWFNg:}CN}EXŊygiXebv1 LEDj		*/
/*	W[	:AvP[V									*/
/************************************************************************/
#include	"common.h"
#include	"app.h"

/************************************************/
/*	AvP[V C		(app_main)		*/
/************************************************/
/*	XCb`ɂă[h؂ւAΉ	*/
/*	sB							*/
/************************************************/
void app_main(void)
{
	int	mode;					//[h
	//
	mode = 1;					//[h
	app_dispMode(mode);			//[h\
	//
	while(1)
	{
		mode = app_getMode(mode);	//[hݒ
	}
}

/************************************************/
/*	[h\					(app_dispMode)	*/
/************************************************/
/*	݂̃[hLED2iŕ\B		*/
/*----------------------------------------------*/
/*	IN :int	i_mode c [h					*/
/************************************************/
void app_dispMode(int i_mode)
{
	//[h\
	ctrl_led_num(i_mode);					//LEDɃ[h\
}

/************************************************/
/*	[hݒ					(app_getMode)	*/
/************************************************/
/*	[hݒ菈								*/
/************************************************/
int app_getMode(int i_currentMode)
{
	//
	int mode;
	unsigned char sw_b;			//XCb`̏
	unsigned char sw_y;			//XCb`̏
	unsigned char sw_r;			//ԃXCb`̏
	//
	mode = i_currentMode;		//[h
	//
	while(1)
	{
		//ׂẴXCb`̒l擾B
		ctrl_sw_all(&sw_b, &sw_y, &sw_r);
		//XCb`̒l`FbN
		if(sw_b == SW_ON)
		{
			//XCb`
			mode++;					//[hJEgAbv
			if(mode > 15)
			{
				mode = 1;
			}
			app_dispMode(mode);	//[h\
		}
		else if(sw_r == SW_ON)
		{
			//ԃXCb`
			mode--;					//[hJEg_E
			if(mode < 1)
			{
				mode = 15;
			}
			app_dispMode(mode);	//[h\
		}
		else if(sw_y == SW_ON)
		{
			//XCb`
			break;
		}
	}
	//
	return mode;
}

/************************************************/
/*	AvP[V S[		(app_goal)		*/
/************************************************/
/*	4LEDׂē_AB			*/
/*	E珇ɓ_Aׂē_A		*/
/*	E珇ɏB						*/
/************************************************/
void app_goal(void)
{
	//[vJE^[
	int cnt;
	//S_
	ctrl_led_on();
	//Ԃ
	for(cnt = 0; cnt <= 10000000; cnt++);
	//S
	ctrl_led_off();
	//
	while(1)
	{
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
		//ELED_
		ctrl_led_r(LED_ON);
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
		//EOLED_
		ctrl_led_fr(LED_ON);
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
		//OLED_
		ctrl_led_fl(LED_ON);
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
		//LED_
		ctrl_led_l(LED_ON);
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
		//ELED
		ctrl_led_r(LED_OFF);
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
		//EOLED
		ctrl_led_fr(LED_OFF);
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
		//OLED
		ctrl_led_fl(LED_OFF);
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
		//LED
		ctrl_led_l(LED_OFF);
		//Ԃ
		for(cnt = 0; cnt <= 10000000; cnt++);
	}
}
